Eng-Tips is the largest engineering community on the Internet

Intelligent Work Forums for Engineering Professionals

  • Congratulations waross on being selected by the Tek-Tips community for having the most helpful posts in the forums last week. Way to Go!

Catia V5 macro : units

Status
Not open for further replies.

Gurucharanhcl

Aerospace
Jul 28, 2011
10
0
0
US
Hello All,
In the below attached script, text size greater than 7 mm will selected in catia v5 drawing and changed to red color.
In the same context if I want to select text size which are equal to 0.156 inch then how should it be incorporated in the script. I think by default script is considering millimeter units and I need to specify the length in inches without converting 0.156 inches to millimeter.

Thanks in advance,

Regards,

Guru Charan T
 
Replies continue below

Recommended for you

Paste the code bellow in a CATScript and run it before what you found on internet (or yo can modify completely the code).

Option Explicit
Dim oDrwDoc As DrawingDocument
Dim oSheets As DrawingSheets
Dim oSheet As DrawingSheet
Dim oViews As DrawingViews
Dim oView As DrawingView
Dim oDims As DrawingDimensions
Dim oDim As DrawingDimension
Dim oDimVal As DrawingDimValue
Dim vc As Integer 'view count
Dim dc As Integer 'dimension count

Sub CATMain()

CATIA.DisplayFileAlerts = False

Dim Message, Style, Title, Response, MyString
Message = ("This macro will cchange all your drawing dimensions from current unit to millimeters (except those from main and background views)" &_
(chr(13)) &_
""&(chr(13))&_
" Do you want to continue ?")
Style = vbYesNo + vbDefaultButton1 'Define default button
Title = "Purpose "
Response = MsgBox(Message, Style, Title)
If Response = vbYes Then ' User chose Yes.
MyString = "Yes"

Set oDrwDoc = CATIA.ActiveDocument
Set oSheets = oDrwDoc.Sheets
Set oSheet = oSheets.ActiveSheet
Set oViews = oSheet.Views
For vc = 3 To oViews.Count 'scan all views for dimensions except main view and background views
Set oView = oSheet.Views.Item(vc)
oView.Activate
Set oDims = oView.Dimensions
For dc = 1 To oDims.Count
Set oDim = oDims.Item(dc)
Set oDimVal = oDim.GetValue
oDimVal.SetFormatName 1, "NUM,DIMM" 'pay attention to number format and unit, for inches you can write "NUM.DINC" or "in"
Next 'dc
Next 'vc


End If

End Sub

Regards
Fernando
 
Status
Not open for further replies.
Back
Top